Skip to main content
GET
cURL
All users can opt-out from sharing their linked accounts and wallets in your server via privacy settings. If sharing is disabled, the isRedacted field will be set to true in the linked accounts and wallets returned in the response, and their details will be blank.

Headers

x-api-key
string<uuid>
required

Your community API key

Path Parameters

userId
string
required

Discord ID of the user to query

Pattern: ^d+$

Response

User details have been retrieved

discordUserId
string
required

Discord ID of the user.

discordUsername
string
required

Discord username of the user.

linkedAccounts
object[]
required

Accounts linked to the user's Flipsuite account.

linkedWallets
object[]
required

Wallets linked to the user's Flipsuite account.

discordAvatarUrl
string | null

Discord avatar URL of the user.